Subject: Re: bug#22757: 25.1.50; `face-at-point` and `faces--attribute-at-point` -- add argument WINDOW-OR-BUFFER

From: Keith David Bershatsky <[email-masked]>
Date: Mon, 22 Feb 2016 10:17:04 -0800

Sorry, the last email had an automatically generated subject line that I use in my personal setup.  Here is a fixed subject line.

I agree that `get-char-property` is the key ingredient, and it would be prudent to steer users to that function.  It does, however, require an advanced level of Lisp expertise to understand how to use it to achieve certain goals.  I probably wouldn't have been able to figure out (in a reasonable period of time) how to get foreground/background at point without standing on the shoulders of others -- e.g., `foreground-color-at-point` and `background-color-at-point`.

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

At Mon, 22 Feb 2016 17:58:13 +0200,
Eli Zaretskii wrote:
> 
>  
> Sorry, I don't think I follow.  I asked whether calling
> get-char-property directly, instead of going through face-at-point,
> would have done the job you needed to do.  I still think it would
> have, even after reading your response.
> 
> My point is that I see no particular reason why users should try using
> face-at-point in this situation.  That function is not documented in
> the ELisp manual, whereas get-char-property is.  So I'm not sure why
> we should consider adding an argument to face-at-point to support use
> cases that seem to be already supported by get-char-property.  Can you
> clarify this aspect?
> 
> Thanks.